| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# ITupleTool Class Reference

`#include <GaudiTools/ITupleTool.h>`

Inheritance diagram for ITupleTool:

[legend]
Collaboration diagram for ITupleTool:

[legend]

List of all members.

## Detailed Description

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2004-06-28

Definition at line 33 of file ITupleTool.h.

## Public Types
typedef Tuples::TupleID | TupleID
typedef Tuples::Tuple | Tuple
## Public Member Functions
virtual Tuple | nTuple (const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
| get N-tuple object ( book on-demand ) with unique identidier
virtual Tuple | nTuple (const TupleID &ID, const std::string &title="", const CLID &clid=CLID_ColumnWiseTuple) const =0
virtual Tuple | evtCol (const std::string &title, const CLID &clid=CLID_RowWiseTuple) const =0
virtual Tuple | evtCol (const TupleID &ID, const std::string &title="", const CLID &clid=CLID_RowWiseTuple) const =0
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Return the unique interface ID.
## Protected Member Functions
virtual | ~ITupleTool ()
| Destructor.

## Member Typedef Documentation

typedef Tuples::TupleID ITupleTool::TupleID

Reimplemented in TupleTool.

Definition at line 36 of file ITupleTool.h.

typedef Tuples::Tuple ITupleTool::Tuple

Reimplemented in TupleTool.

Definition at line 37 of file ITupleTool.h.

## Constructor & Destructor Documentation

ITupleTool::~ITupleTool | ( |  | ) | `[protected, virtual]`

Destructor.

virtual protected destructor

Definition at line 31 of file ITupleTool.cpp.

    00031 {}

## Member Function Documentation

const InterfaceID & ITupleTool::interfaceID | ( |  | ) | `[static]`

Return the unique interface ID.

Reimplemented from IAlgTool.

Definition at line 25 of file ITupleTool.cpp.

    00025 { return IID_ITupleTool ; };

virtual Tuple ITupleTool::nTuple | ( | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | const`[pure virtual]`

get N-tuple object ( book on-demand ) with unique identidier

      ITupleTool* tool = .. ;
      Tuple tuple = tool->nTuple( 'My tuple' ) ;
      tuple->column( "A" , sin(0.1) );
      tuple->column( "B" , cos(0.1) );
      tuple->column( "C" , tan(0.1) );
      tuple->write()

NTuple will be booked with automatically assigned numerical ID

Parameters:

  | title | unique title for ntuple
  | clid | class identifier

Returns:
  ntuple object

Implemented in TupleTool.

virtual Tuple ITupleTool::nTuple | ( | const TupleID & | ID,
|  | const std::string & | title = `""`,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | const`[pure virtual]`

Implemented in TupleTool.

virtual Tuple ITupleTool::evtCol | ( | const std::string & | title,
|  | const CLID & | clid = `CLID_RowWiseTuple` |
| ) |  |  | const`[pure virtual]`

Implemented in TupleTool.

virtual Tuple ITupleTool::evtCol | ( | const TupleID & | ID,
|  | const std::string & | title = `""`,
|  | const CLID & | clid = `CLID_RowWiseTuple` |
| ) |  |  | const`[pure virtual]`

Implemented in TupleTool.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiAlg/GaudiAlg/ITupleTool.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiAlg/src/lib/ITupleTool.cpp